RSS

Day29 19/6/55

19 มิ.ย.

สวัสดีครับ วันนี้ฟิตเต็มที่หลังจากหยุดยาวไป เช้ามาได้ข้าว1ถุง กับกระเพราหมู1ถุง เป็นอาหารเช้า  ปิดท้ายด้วยชาซากุระ1ขวดจากเซเว่น
วันนี้ได้ลองทำ moodleดู จากคำสั่งของพี่เล็กให้ลองเล่นดู ผมก็ได้ลอง โหลดmoodle 2.2.3 มาทดลองใช้ เริ่มแรกผมติดตั้งตัวmoodleก่อน มาถึงก็เจอปัญหาเลย หลังจากเลือกภาษาไทย กดnextไป เจอปัญหาสองอย่างคือ

1.   zip php extension ต้องการเพื่อทำการติดตั้ง/เปิดใช้งาน
อันนี้ผมsearch ในgoogle ว่า zip php extension  เจอลิ้งแรกเลยของเว็บ www.thaicreate.com แก้ตามที่เค้าบอกได้เลยครับ คือ
เข้าไปที start—>run—> php.ini   หลังจากนั้นก็copyคำว่า   extension=php_zip.dll  ไปใส่บรรทัดสุดท้าย ข้างล่าง end เลย  แล้วกด saveครับ    หลังจากนั้นแล้วลองเช็คดู ก็สำเร็จครับ

2.  เรื่องรุ่นของphp อันที่ผมใช้เป็น 5.2.6  ที่ระบบต้องการเป็น 5.3.2
ลองหาในgoogle ดูมีให้โหลดอยู่ 5แบบ ไม่รุจะเอาอันไหนเลยเลือกแบบอันแรก php5.3.2 source    ระหว่างให้มันโหลด
2.1.ผมมาก็ปิดการทำงานของ apache ที่  start—>program—>appserv—>Control Server by Service—>apache stop
แล้วก็เอาตัวzipที่โหลดมาเอามาแตกไฟล์มาใส่ที่ appserv แทนที่ของphp5อันเก่า  โดยผมเปลี่ยนชื่อ php5(ตัวเก่าครับ) เปลี่ยนเป็น php51 และก็อันที่โหลดมาใหม่เป็น php5แทนที่ของเก่า
2.2.แล้วผมก็ไปเปิดการทำงานของ apache ที่ start—>program—>appserv—>Control Server by Service—>apache start  ทีนี้ก็เจอปัญหาเลย คือ  start apacheไม่ได้ ขึ้นเตือนว่า “windows could not start the Apache2.2 on Local Computer.For morwe information,reviwe the System Event Log. If this a non-Microsoft service, contact the service, and refer to service-specific error code 1. ”
พอไม่รู้จะทำไง ลองหาตามเว็บทำตามคำแนะนำคือ  ปิด skype และก็ปิดตัวสแกนไวรัส  แต่ก็ยังเข้าไม่ได้    ผมเลยลองมานั่งนึกสาเหตุดูว่าตัวphpที่ผมโหลดมา มันอาจไม่แมทกับที่ผมใช้อยู่ก็ได้     เลยลองลบตัว php5.3.2 source  ที่โหลดมาออกไป เอา php51 ที่เป็นตัวเก่าเปลี่ยนเป็น php5 เหมือนเดิม ไปเปิด apache ดูก็สามารถ start ได้ตามปกติ   แล้วก็เข้า localhost   แสดงว่าผมโหลดมาผิดตัวล่ะ
รอบสองเลยลองโหลดPHP 5.3.2 IIS Windows Binary  ทำตามขั้นตอนเดิม(2.1-2.2)  แล้วก็เรียบร้อย หายแจ้งเตือนล่ะ เข้าไปเช็คที่localhostดู  เลือก PHP information version 5.2.6 ตอนนี้เปลี่ยนเป็น php version 5.3.2เรียบร้อย

แล้วก็ติดตั้งต่อไปเรื่อยๆ ล่ะก็มีปัญหาอีก ขึ้นว่า  To operate properly, Moodle requires that you make certain changes to your current PHP settings. และก็อีกยาวเฟี้อยเลย ขี้เกียจพิม  ผมก็พิมแค่นั้นแหละในการsearch แล้วก็เจอเลย ฮิฮิ   จากเว็บ moodel.org/mog/forum
วิธีแก้ก็ run—> php.ini—> ctrl+f  —>ใส่คำว่า register_globals—> เปลี่ยน on เป็น off—>save—> แล้วก็restart apache ^^
เย้ ติดตั้งเรียบร้อยแล้ว ทีนี้ก็ผมก็นั่งนุ่นนี่นั่นไปเรื่อยล่ะครับสวัสดีครับ…. ArGuu

ปล. ไม่ได้อธิบายวิธีการติดตั้งmoodleน่ะครับ  ผมเพียงแค่บอกเล่าถึงปัญหาและทางแก้ไข ที่ได้ทำภายในวันนี้  ส่วนการติดตั้งลองศึกษาตามเว็บอื่นๆดูน่ะครับ
สำหรับวันนี้สวัสดีครับ… ArGuu

 
ใส่ความเห็น

Posted by บน มิถุนายน 19, 2012 in ArGuu Coop

 

ป้ายกำกับ: , , , , , , , , ,

ใส่ความเห็น

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / เปลี่ยนแปลง )

Twitter picture

You are commenting using your Twitter account. Log Out / เปลี่ยนแปลง )

Facebook photo

You are commenting using your Facebook account. Log Out / เปลี่ยนแปลง )

Google+ photo

You are commenting using your Google+ account. Log Out / เปลี่ยนแปลง )

Connecting to %s

 
%d bloggers like this: